Index: kernel/Makefile.in
===================================================================
--- kernel/Makefile.in	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ kernel/Makefile.in	(revision 5d0556d9643aab314fbe86e3ef4cbcd69d864661)
@@ -114,5 +114,5 @@
     pDebug.cc pInline2.cc pInline1.cc pInline0.cc \
     pShallowCopyDelete.cc fast_mult.cc digitech.cc \
-    tgb.cc tgbgauss.cc ringgb.cc lpolynom.cc f5gb.cc ratgring.cc shiftgb.cc 
+    tgb.cc tgbgauss.cc ringgb.cc f5data.cc f5lists.cc f5gb.cc ratgring.cc shiftgb.cc 
 
 # normal C source files
Index: kernel/f5gb.cc
===================================================================
--- kernel/f5gb.cc	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ kernel/f5gb.cc	(revision 5d0556d9643aab314fbe86e3ef4cbcd69d864661)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: f5gb.cc,v 1.19 2009-01-29 17:59:30 ederc Exp $ */
+/* $Id: f5gb.cc,v 1.20 2009-01-30 17:25:04 ederc Exp $ */
 /*
 * ABSTRACT: f5gb interface
@@ -22,5 +22,5 @@
 #include "pInline1.h"
 #include "f5gb.h"
-#include "lpolynomial.h"
+#include "f5data.h"
 #include "f5lists.h"
 
Index: kernel/f5gb.h
===================================================================
--- kernel/f5gb.h	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ kernel/f5gb.h	(revision 5d0556d9643aab314fbe86e3ef4cbcd69d864661)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: f5gb.h,v 1.18 2009-01-29 17:59:30 ederc Exp $ */
+/* $Id: f5gb.h,v 1.19 2009-01-30 17:25:04 ederc Exp $ */
 /*
 * ABSTRACT: f5gb interface
@@ -10,5 +10,5 @@
 
 #ifdef HAVE_F5
-#include "lpolynomial.h"
+#include "f5data.h"
 #include "f5lists.h"
 
Index: kernel/f5lists.cc
===================================================================
--- kernel/f5lists.cc	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ kernel/f5lists.cc	(revision 5d0556d9643aab314fbe86e3ef4cbcd69d864661)
@@ -16,5 +16,5 @@
 #include "pInline1.h"
 #include "f5gb.h"
-#include "lpolynomial.h"
+#include "f5data.h"
 #include "f5lists.h"
 
Index: kernel/f5lists.h
===================================================================
--- kernel/f5lists.h	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ kernel/f5lists.h	(revision 5d0556d9643aab314fbe86e3ef4cbcd69d864661)
@@ -2,11 +2,11 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: f5lists.h,v 1.2 2009-01-29 17:59:30 ederc Exp $ */
+/* $Id: f5lists.h,v 1.3 2009-01-30 17:25:04 ederc Exp $ */
 /*
 * ABSTRACT: list interface
 */
-#include "lpolynomial.h"
-#ifndef LISTS_HEADER
-#define LISTS_HEADER
+#include "f5data.h"
+#ifndef F5LISTS_HEADER
+#define F5LISTS_HEADER
 
 #ifdef HAVE_F5
Index: rnel/lpolynom.cc
===================================================================
--- kernel/lpolynom.cc	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ 	(revision )
@@ -1,83 +1,0 @@
-/****************************************
-*  Computer Algebra System SINGULAR     *
-****************************************/
-/* $Id: lpolynom.cc,v 1.3 2008-10-11 12:12:46 ederc Exp $ */
-/*
-* ABSTRACT: lpolynomial definition 
-*/
-#include "mod2.h"
-
-#ifdef HAVE_F5
-#include "kutil.h"
-#include "structs.h"
-#include "omalloc.h"
-#include "polys.h"
-#include "p_polys.h"
-#include "ideals.h"
-#include "febase.h"
-#include "kstd1.h"
-#include "khstd.h"
-#include "kbuckets.h"
-#include "weight.h"
-#include "intvec.h"
-#include "pInline1.h"
-#include "f5gb.h"
-#include "lpolynom.h"
-
-
-/*2
-* all functions working on the class lpoly for labeled polynomials
-*/
-
-void lpoly::setPoly(poly p)
-{
-        polynomial = p;
-}
-
-void lpoly::setTerm(poly t)
-{
-        term = t;
-}
-
-void lpoly::setIndex(long i)
-{
-        index = i;
-}
-
-
-void lpoly::setDel(bool b)
-{
-        del = b;
-}
-
-void lpoly::setNext(lpoly* l)
-{
-        next = l;
-}
-
-poly lpoly::getPoly()
-{
-        return polynomial;
-}
-
-poly lpoly::getTerm()
-{
-        return term;
-}
-
-long lpoly::getIndex()
-{
-        return index;
-}
-
-bool lpoly::getDel()
-{
-        return del;
-}
-
-lpoly *lpoly::getNext()
-{
-        return next;
-}
-
-#endif
Index: rnel/lpolynom.h
===================================================================
--- kernel/lpolynom.h	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/****************************************
-*  Computer Algebra System SINGULAR     *
-****************************************/
-/* $Id: lpolynom.h,v 1.3 2008-10-11 12:12:46 ederc Exp $ */
-/*
-* ABSTRACT: f5gb interface
-*/
-#ifndef LPOLYNOM_HEADER
-#define LPOLYNOM_HEADER
-
-#ifdef HAVE_F5
-
-
-// class of a labeled polynomial 
-class lpoly
-{
-        private:
-                poly    term; //term of signature
-                long    index; //index of signature
-                poly    polynomial; //standard polynomial data
-                bool    del; //for deletion in TopReduction Subalgorithm
-                lpoly   *next; //pointer on the next labeled polynomial in the list
-        public:
-                void    setPoly(poly p);
-                poly    getPoly();
-                void    setTerm(poly t);
-                poly    getTerm();
-                void    setIndex(long i);
-                long    getIndex();
-                void    setDel(bool b);
-                bool    getDel();
-                void    setNext(lpoly *l);
-                lpoly   *getNext();
-};
-
-
-// structure of the critical pairs, just the addresses of the corresponding generator labeled polynomials
-struct critpair
-{
-        lpoly       *cp1;   // first  component
-        lpoly       *cp2;   // second component
-        critpair    *next;  // next critical pair
-};
-
-
-#endif
-#endif
-
-
Index: rnel/lpolynomial.cc
===================================================================
--- kernel/lpolynomial.cc	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ 	(revision )
@@ -1,149 +1,0 @@
-/****************************************
-*  Computer Algebra System SINGULAR     *
-****************************************/
-/* $Id: lpolynomial.cc,v 1.8 2009-01-29 17:59:30 ederc Exp $ */
-/*
-* ABSTRACT: lpolynomial definition 
-*/
-#include "mod2.h"
-
-#ifdef HAVE_F5
-#include "kutil.h"
-#include "structs.h"
-#include "omalloc.h"
-#include "polys.h"
-#include "p_polys.h"
-#include "ideals.h"
-#include "febase.h"
-#include "kstd1.h"
-#include "khstd.h"
-#include "kbuckets.h"
-#include "weight.h"
-#include "intvec.h"
-#include "pInline1.h"
-#include "f5gb.h"
-#include "lpolynomial.h"
-#include "f5lists.h"
-/*
-================================================================
-all functions working on the class LPoly for labeled polynomials
-================================================================
-*/
-LPoly::LPoly(poly* t,int* i,poly* p) {
-    set(t,i,p);
-}
-
-void LPoly::setPoly(poly* p)  {
-    polynomial = *p;
-}
-
-void LPoly::setTerm(poly* t) {
-    term = *t;
-}
-
-void LPoly::setIndex(int* i) {
-    index = *i;
-}
-
-void LPoly::setDel(bool b) {
-    del = b;
-}
-
-poly LPoly::getPoly() {
-    return polynomial;
-}
-
-poly LPoly::getTerm() {
-    return term;
-}
-
-int LPoly::getIndex() {
-    return index;
-}
-
-bool LPoly::getDel() const {
-    return del;
-}
-
-void LPoly::set(poly* t, int* i, poly* p) {
-    this->setTerm(t);
-    this->setIndex(i);
-    this->setPoly(p);
-}
-
-LPoly* LPoly::get() {
-    return this;
-}
-
-/*
-====================================
-functions working on the class CPair
-====================================
-*/
-CPair::CPair(long degree, poly term1, LPoly* lpoly1, poly term2, LPoly* lpoly2) {
-   deg              =   degree;
-   t1               =   term1;
-   lp1              =   lpoly1;
-   t2               =   term2;
-   lp2              =   lpoly2;
-   lastRuleTested   =   NULL;
-}
-
-long CPair::getDeg() {
-    return deg;
-}
-
-poly CPair::getT1() {
-    return t1;
-}
-
-poly CPair::getT2() {
-    return t2;
-}
-
-poly CPair::getLp1Poly() {
-    return lp1->getPoly();
-}
-
-poly CPair::getLp2Poly() {
-    return lp2->getPoly();
-}
-
-poly CPair::getLp1Term() {
-    return lp1->getTerm();
-}
-
-poly CPair::getLp2Term() {
-    return lp2->getTerm();
-}
-
-int CPair::getLp1Index() {
-    return lp1->getIndex();
-}
-
-int CPair::getLp2Index() {
-    return lp2->getIndex();
-}
-
-Rule* CPair::getLastRuleTested() {
-    return lastRuleTested;
-}
-
-/*
-===================================
-functions working on the class Rule
-===================================
-*/
-Rule::Rule(int* i, poly* t) {
-    index   =   i;
-    term    =   t;
-}
-
-int Rule::getIndex() {
-    return *index;
-}
-
-poly Rule::getTerm() {
-    return *term;
-}
-#endif
Index: rnel/lpolynomial.h
===================================================================
--- kernel/lpolynomial.h	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ 	(revision )
@@ -1,92 +1,0 @@
-/****************************************
-*  Computer Algebra System SINGULAR     *
-****************************************/
-/* $Id: lpolynomial.h,v 1.7 2009-01-29 17:59:30 ederc Exp $ */
-/*
-* ABSTRACT: labeled polynomial interface
-*/
-#ifndef LPOLYNOMIAL_HEADER
-#define LPOLYNOMIAL_HEADER
-#ifdef HAVE_F5
-/*
-=========================================================
-=========================================================
-classes for labeled polynomials/pairs/S-polynomials in F5
-=========================================================
-=========================================================
-*/
-class LPoly;
-class CPair;
-class Rule;
-
-
-/*
-============================
-class of labeled polynomials
-============================
-*/
-class LPoly {
-    private:
-        poly    term; //term of signature
-        int     index; //index of signature
-        poly    polynomial; //standard polynomial data
-        bool    del; //for deletion in TopReduction Subalgorithm
-    public:
-                LPoly(poly*t,int* i,poly* p); 
-        void    setPoly(poly* p);
-        poly    getPoly();
-        void    setTerm(poly* t);
-        poly    getTerm();
-        void    setIndex(int* i);
-        int     getIndex();
-        void    setDel(bool b);
-        bool    getDel() const;
-        void    set(poly* t, int* i, poly* p);
-        LPoly*  get();
-};
-
-/*
-========================================================
-structure of rules(i.e. already computed / known labels)
-========================================================
-*/
-class Rule {
-    private:
-        int*     index;    // index of the labeled polynomial the rule comes from 
-        poly*    term;     // term of the labeled polynomial the rule comes from
-    public:
-                Rule(int* i, poly* term);
-        int     getIndex();
-        poly    getTerm();
-};
-
-
-/*
-===================================
-structure of labeled critical pairs
-===================================
-*/
-class CPair {
-    private:
-        long    deg;            // total degree of the critical pair
-        poly    t1;             // first term for label
-        LPoly*  lp1;            // first labeled poly
-        poly    t2;             // second term for label
-        LPoly*  lp2;            // second labeled poly
-        Rule*   lastRuleTested; // already tested by rules up to lastRuleTested
-    public:
-                CPair(long degree, poly term1, LPoly* lpoly1, poly term2, LPoly* lpoly2);
-        long    getDeg();
-        poly    getT1();
-        poly    getLp1Poly();
-        poly    getLp1Term();
-        int     getLp1Index();
-        poly    getT2();
-        poly    getLp2Poly();
-        poly    getLp2Term();
-        int     getLp2Index();
-        Rule*   getLastRuleTested();
-};
-
-#endif
-#endif
Index: kernel/mod2.h.in
===================================================================
--- kernel/mod2.h.in	(revision 66e7b51e7e2fb39132258de81dac745cfa224931)
+++ kernel/mod2.h.in	(revision 5d0556d9643aab314fbe86e3ef4cbcd69d864661)
@@ -6,5 +6,5 @@
  *          DO NOT EDIT!
  *
- *  Version: $Id: mod2.h.in,v 1.28 2008-10-02 08:59:35 Singular Exp $
+ *  Version: $Id: mod2.h.in,v 1.29 2009-01-30 17:25:04 ederc Exp $
  *******************************************************************/
 #ifndef MOD2_H
@@ -194,5 +194,5 @@
 /* procedures to compute groebner bases with the f5 implementation */
 /* still testing */
-#undef HAVE_F5
+#define HAVE_F5 1
 
 /* letterplace gb:*/
